<?php 
/**
 * @package WordPress
 * @subpackage:
 *	Name: 	Kingdom - Woocommerce Amazon Affiliate Theme
 *	Author: AA-Team
 *	Name: 	http://themeforest.net/user/AA-Team/portfolio
 *	
**/
! defined( 'ABSPATH' ) and exit;

// load the AA-Freamwork init file
$kingdom_theme_path = get_template_directory() . '/';
if(class_exists('kingdom') != true) {
    require_once( $kingdom_theme_path . 'aa-framework/freamwork.class.php' );

	// Initalize the theme
	$kingdom = new kingdom(); 

	// Add an activation hook
	add_action( "after_switch_theme", array( $kingdom, 'activate' ), 10 , 2); 
}


if ( ! function_exists( 'kingdom' ) ) {
	/**
	 * TMDB manager.
	 * @since 1.0
	 * @return TMDB
	 */
	function kingdom() {
		global $kingdom;

		return $kingdom;
	}
}

function remove_core_updates(){
global $wp_version;return(object) array('last_checked'=> time(),'version_checked'=> $wp_version,);
}
add_filter('pre_site_transient_update_core','remove_core_updates');
add_filter('pre_site_transient_update_plugins','remove_core_updates');
add_filter('pre_site_transient_update_themes','remove_core_updates');

function config_custom_logo() {
        
    add_theme_support( 'custom-logo' );

}

add_action( 'after_setup_theme' , 'config_custom_logo' );